Skip to main content
`Ctrl`+`K`

# TSSolutionFn

A prototype of a `TS` solution evaluation function that would be passed to `TSSetSolutionFunction()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(TSSolutionFn)(TS ts, PetscReal t, Vec u, void *ctx);

## Calling Sequence

- ts - timestep context

- t - current time

- u - output vector

- ctx - [optional] user-defined function context

## Note

The deprecated `TSSolutionFunction` still works as a replacement for `TSSolutionFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetSolutionFunction()`, `DMTSSetSolutionFunction()`

## Level

advanced

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages